Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper Class Reference

ContentTypeDomainMapper is an internal service. More...

## Public Member Functions
| __construct (SPITypeHandler $contentTypeHandler, SPILanguageHandler $contentLanguageHandler, FieldTypeRegistry $fieldTypeRegistry)
| Setups service with reference to repository. More...
| buildContentTypeDomainObject (SPIContentType $spiContentType, array $prioritizedLanguages=[])
| Builds a ContentType domain object from value object returned by persistence. More...
| buildSPIContentTypeUpdateStruct (APIContentTypeDraft $contentTypeDraft, APIContentTypeUpdateStruct $contentTypeUpdateStruct, APIUserReference $user)
| Builds ContentType update struct for storage layer. More...
| buildContentTypeDraftDomainObject (SPIContentType $spiContentType)
| Builds a ContentTypeDraft domain object from value object returned by persistence. More...
| buildContentTypeGroupDomainObject (SPIContentTypeGroup $spiGroup, array $prioritizedLanguages=[])
| Builds a ContentTypeGroup domain object from value object returned by persistence. More...
| buildContentTypeGroupProxyList (array $ids, array $prioritizedLanguages=[])
| Builds a list of ContentTypeGroup proxy objects (lazy loaded, loads all as soon as one of them loads). More...
| buildSPIFieldDefinitionCreate (APIFieldDefinitionCreateStruct $fieldDefinitionCreateStruct, SPIFieldType $fieldType)
| Builds SPIFieldDefinition object using API FieldDefinitionCreateStruct. More...
| buildSPIFieldDefinitionFromCreateStruct (APIFieldDefinitionCreateStruct $fieldDefinitionCreateStruct, SPIFieldType $fieldType, string $mainLanguageCode)

## Protected Member Functions
| getDateTime (int $timestamp)

## Protected Attributes
| $contentTypeHandler
| $contentLanguageHandler
| $fieldTypeRegistry

## Private Member Functions
| generatorForContentTypeGroupList (array $ids, array $prioritizedLanguages=[])

## Detailed Description

ContentTypeDomainMapper is an internal service.

Meant for internal use by Repository.

Definition at line 38 of file ContentTypeDomainMapper.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper::__construct | ( | SPITypeHandler | $contentTypeHandler,
|  | SPILanguageHandler | $contentLanguageHandler,
|  | FieldTypeRegistry | $fieldTypeRegistry
| ) |  |

Setups service with reference to repository.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type\Handler | $contentTypeHandler |
  \eZ\Publish\SPI\Persistence\Content\Language\Handler | $contentLanguageHandler |
  FieldTypeRegistry | $fieldTypeRegistry |

Definition at line 56 of file ContentTypeDomainMapper.php.

References eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper\$contentLanguageHandler, eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper\$contentTypeHandler, and eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper\$fieldTypeRegistry.

## Member Function Documentation

## ◆ buildContentTypeDomainObject()

eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper::buildContentTypeDomainObject | ( | SPIContentType | $spiContentType,
|  | array | $prioritizedLanguages = `[]`
| ) |  |

Builds a ContentType domain object from value object returned by persistence.

Definition at line 69 of file ContentTypeDomainMapper.php.

## ◆ buildContentTypeDraftDomainObject()

eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper::buildContentTypeDraftDomainObject | ( | SPIContentType | $spiContentType | ) |

Builds a ContentTypeDraft domain object from value object returned by persistence.

Decorates ContentType.

Definition at line 179 of file ContentTypeDomainMapper.php.

## ◆ buildContentTypeGroupDomainObject()

eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper::buildContentTypeGroupDomainObject | ( | SPIContentTypeGroup | $spiGroup,
|  | array | $prioritizedLanguages = `[]`
| ) |  |

Builds a ContentTypeGroup domain object from value object returned by persistence.

Definition at line 191 of file ContentTypeDomainMapper.php.

## ◆ buildContentTypeGroupProxyList()

eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper::buildContentTypeGroupProxyList | ( | array | $ids,
|  | array | $prioritizedLanguages = `[]`
| ) |  |

Builds a list of ContentTypeGroup proxy objects (lazy loaded, loads all as soon as one of them loads).

Definition at line 211 of file ContentTypeDomainMapper.php.

## ◆ buildSPIContentTypeUpdateStruct()

eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper::buildSPIContentTypeUpdateStruct | ( | APIContentTypeDraft | $contentTypeDraft,
|  | APIContentTypeUpdateStruct | $contentTypeUpdateStruct,
|  | APIUserReference | $user
| ) |  |

Builds ContentType update struct for storage layer.

Parameters

  \eZ\Publish\API\Repository\Values\ContentType\ContentTypeDraft | $contentTypeDraft |
  \eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct | $contentTypeUpdateStruct |
  \eZ\Publish\API\Repository\Values\User\UserReference | $user |

Returns
  \eZ\Publish\SPI\Persistence\Content\Type\UpdateStruct

Definition at line 122 of file ContentTypeDomainMapper.php.

## ◆ buildSPIFieldDefinitionCreate()

eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper::buildSPIFieldDefinitionCreate | ( | APIFieldDefinitionCreateStruct | $fieldDefinitionCreateStruct,
|  | SPIFieldType | $fieldType
| ) |  |

Builds SPIFieldDefinition object using API FieldDefinitionCreateStruct.

Deprecated:
  use \eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper::buildSPIFieldDefinitionFromCreateStruct()

Exceptions

Definition at line 466 of file ContentTypeDomainMapper.php.

## ◆ buildSPIFieldDefinitionFromCreateStruct()

eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper::buildSPIFieldDefinitionFromCreateStruct | ( | APIFieldDefinitionCreateStruct | $fieldDefinitionCreateStruct,
|  | SPIFieldType | $fieldType,
|  | string | $mainLanguageCode
| ) |  |

Parameters

  \eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct | $fieldDefinitionCreateStruct |
  \eZ\Publish\SPI\FieldType\FieldType | $fieldType |
  string | $mainLanguageCode |

Returns
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition

Exceptions

Definition at line 519 of file ContentTypeDomainMapper.php.

## ◆ generatorForContentTypeGroupList()

eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper::generatorForContentTypeGroupList | ( | array | $ids,
|  | array | $prioritizedLanguages = `[]`
| ) |  |
| private

Definition at line 222 of file ContentTypeDomainMapper.php.

## ◆ getDateTime()

eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper::getDateTime | ( | int | $timestamp | ) |
| protected

Definition at line 567 of file ContentTypeDomainMapper.php.

## Member Data Documentation

## ◆ $contentLanguageHandler

eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper::$contentLanguageHandler
| protected

Definition at line 44 of file ContentTypeDomainMapper.php.

Referenced by eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper\__construct().

## ◆ $contentTypeHandler

eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper::$contentTypeHandler
| protected

Definition at line 41 of file ContentTypeDomainMapper.php.

Referenced by eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper\__construct().

## ◆ $fieldTypeRegistry

eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper::$fieldTypeRegistry
| protected

Definition at line 47 of file ContentTypeDomainMapper.php.

Referenced by eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper\__construct().

The documentation for this class was generated from the following file:

- ContentTypeDomainMapper.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.